<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSeatMap StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetSeatMap extends AbstractStructBase
{
    /**
     * The OTA_AirSeatMapRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgOTA_AirSeatMapRQ
     */
    public $OTA_AirSeatMapRQ;
    /**
     * Constructor method for GetSeatMap
     * @uses DgGetSeatMap::setOTA_AirSeatMapRQ()
     * @param \dgsoft\StructType\DgOTA_AirSeatMapRQ $oTA_AirSeatMapRQ
     */
    public function __construct(\dgsoft\StructType\DgOTA_AirSeatMapRQ $oTA_AirSeatMapRQ = null)
    {
        $this
            ->setOTA_AirSeatMapRQ($oTA_AirSeatMapRQ);
    }
    /**
     * Get OTA_AirSeatMapRQ value
     * @return \dgsoft\StructType\DgOTA_AirSeatMapRQ|null
     */
    public function getOTA_AirSeatMapRQ()
    {
        return $this->OTA_AirSeatMapRQ;
    }
    /**
     * Set OTA_AirSeatMapRQ value
     * @param \dgsoft\StructType\DgOTA_AirSeatMapRQ $oTA_AirSeatMapRQ
     * @return \dgsoft\StructType\DgGetSeatMap
     */
    public function setOTA_AirSeatMapRQ(\dgsoft\StructType\DgOTA_AirSeatMapRQ $oTA_AirSeatMapRQ = null)
    {
        $this->OTA_AirSeatMapRQ = $oTA_AirSeatMapRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetSeatMap
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
